<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="14ffa484-ffea-4f8c-a3ea-02edb26aa56b" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/graphs/StaticStackTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/Employee.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/Employee.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/EmployeeStatistics.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/EmployeeStatistics.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/UseCase.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/progressoft/JIP8/lap7/UseCase.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Stack.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Stack.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/StaticStack.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/StaticStack.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/matrix/Matrix.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/matrix/Matrix.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/graphs/TestGraphs.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/graphs/StackTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/matrix/MatrixTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/matrix/MatrixTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/matrix/MatrixUtilityTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/matrix/MatrixUtilityTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/graphs/Stack.class" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/graphs/Stack.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/graphs/StaticStack.class" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/graphs/StaticStack.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/matrix/Matrix.class" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/target/classes/com/progressoft/JIP8/matrix/Matrix.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/target/test-classes/com/progressoft/JIP8/matrix/MatrixTest.class" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/target/test-classes/com/progressoft/JIP8/matrix/MatrixTest.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/target/test-classes/com/progressoft/JIP8/matrix/MatrixUtilityTest.class" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/target/test-classes/com/progressoft/JIP8/matrix/MatrixUtilityTest.class" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="ProjectId" id="1VO3WK94eS9TB23UeNCMBJvtG4g" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RunManager" selected="Application.UseCase (1)">
    <configuration name="UseCase (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.progressoft.JIP8.lap7.UseCase" />
      <module name="Lab7" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.JIP8.lap7.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="UseCase" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="progressoft.statistics.UseCase" />
      <module name="Lab7" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.UseCase (1)" />
        <item itemvalue="Application.UseCase" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="14ffa484-ffea-4f8c-a3ea-02edb26aa56b" name="Default Changelist" comment="" />
      <created>1577110344184</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1577110344184</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="524" y="109" width="374" height="575" key="#com.intellij.ide.util.MemberChooser" timestamp="1577195215495">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="524" y="109" width="374" height="575" key="#com.intellij.ide.util.MemberChooser/67.27.1299.741@67.27.1299.741" timestamp="1577195215495" />
    <state x="386" y="27" width="650" height="741" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1577195396805">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="386" y="27" width="650" height="741" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/67.27.1299.741@67.27.1299.741" timestamp="1577195396805" />
    <state x="449" y="145" width="524" height="502" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1577191222007">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="449" y="145" width="524" height="502" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/67.27.1299.741@67.27.1299.741" timestamp="1577191222007" />
    <state x="109" y="27" width="1204" height="741" key="CommitChangelistDialog2" timestamp="1578489418536">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="109" y="27" width="1204" height="741" key="CommitChangelistDialog2/67.27.1299.741@67.27.1299.741" timestamp="1578489418536" />
    <state x="167" y="125" width="1099" height="543" key="DiffContextDialog" timestamp="1578489366272">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="167" y="125" width="1099" height="543" key="DiffContextDialog/67.27.1299.741@67.27.1299.741" timestamp="1578489366272" />
    <state x="499" y="154" width="424" height="484" key="FileChooserDialogImpl" timestamp="1578320799468">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="499" y="154" width="424" height="484" key="FileChooserDialogImpl/67.27.1299.741@67.27.1299.741" timestamp="1578320799468" />
    <state width="1253" height="124" key="GridCell.Tab.0.bottom" timestamp="1578489105371">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="124" key="GridCell.Tab.0.bottom/67.27.1299.741@67.27.1299.741" timestamp="1578489105371" />
    <state width="1253" height="124" key="GridCell.Tab.0.center" timestamp="1578489105371">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="124" key="GridCell.Tab.0.center/67.27.1299.741@67.27.1299.741" timestamp="1578489105371" />
    <state width="1253" height="124" key="GridCell.Tab.0.left" timestamp="1578489105370">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="124" key="GridCell.Tab.0.left/67.27.1299.741@67.27.1299.741" timestamp="1578489105370" />
    <state width="1253" height="124" key="GridCell.Tab.0.right" timestamp="1578489105371">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="124" key="GridCell.Tab.0.right/67.27.1299.741@67.27.1299.741" timestamp="1578489105371" />
    <state x="437" y="133" width="548" height="526" key="VcsDiffUtil.ChangesDialog" timestamp="1578489343299">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="437" y="133" width="548" height="526" key="VcsDiffUtil.ChangesDialog/67.27.1299.741@67.27.1299.741" timestamp="1578489343298" />
    <state x="167" y="125" width="1099" height="543" key="com.intellij.history.integration.ui.views.DirectoryHistoryDialog" timestamp="1578489366272">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="167" y="125" width="1099" height="543" key="com.intellij.history.integration.ui.views.DirectoryHistoryDialog/67.27.1299.741@67.27.1299.741" timestamp="1578489366272" />
    <state x="372" y="224" key="com.intellij.ide.util.TipDialog" timestamp="1577342278301">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="372" y="224" key="com.intellij.ide.util.TipDialog/67.27.1299.741@67.27.1299.741" timestamp="1577342278301" />
    <state x="449" y="151" width="524" height="491" key="extract.method.dialog" timestamp="1577967777238">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="449" y="151" width="524" height="491" key="extract.method.dialog/67.27.1299.741@67.27.1299.741" timestamp="1577967777238" />
    <state x="67" y="100" width="1289" height="592" key="new project wizard" timestamp="1577700841244">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="67" y="100" width="1289" height="592" key="new project wizard/67.27.1299.741@67.27.1299.741" timestamp="1577700841244" />
    <state x="380" y="175" key="run.anything.popup" timestamp="1577719407098">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="380" y="175" key="run.anything.popup/67.27.1299.741@67.27.1299.741" timestamp="1577719407098" />
  </component>
</project>